<?php 
include"../../aut_verifica.inc.php";
require_once('../config/lang/eng.php');
require_once('../tcpdf.php');
error_reporting(E_ERROR | E_PARSE);
	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	
//$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, 'A4', true, 'UTF-8', false);	
$medidas = array(80, 300); // Ajustar aqui segun los milimetros necesarios;
$pdf = new TCPDF('P', 'mm', $medidas, true, 'UTF-8', false); 
//$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, 'A5', true, 'UTF-8', false);
// Informacion del Documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('CLOPEZ');
$pdf->SetTitle('TICKT-ROMANA');
$pdf->SetSubject('');
$pdf->SetKeywords('');
$pdf->AddPage('');
$codgox=$_GET['codgox'];
	$consulta_rubro_x1=mysql_query("select * from  tabla_vehiculos_peso_xls where id='$codgox' ",$link);
	$ver_consulta_rubro_x1=mysql_fetch_array($consulta_rubro_x1);
		$vehiculo=$ver_consulta_rubro_x1['cod_vehiculo'];
		$control_id=$ver_consulta_rubro_x1['id'];
		$fecha_registro=$ver_consulta_rubro_x1['fecha_registro'];
		$consultar_sql_verxs=mysql_query("select * from   tabla_vehiculos_xls where id='".$vehiculo."' and eliminar='0'  ",$link);
		$ver_consultar_sql_ver_xx1=mysql_fetch_array($consultar_sql_verxs);
		$control_id_consulta=mysql_query("select SUM(peso),cod_vehiculo_peso from  tabla_vehiculos_peso_fact where eliminar='0' and cod_vehiculo_peso='".$codgox."'",$link);
		$ver_control=mysql_fetch_array($control_id_consulta);
mysql_query("update tabla_vehiculos_peso_xls set estatus='1' where  id='$control_id'",$link);
//$pdf->SetFont('Arial', 'BIU', 100);
$html1='
	<b style="text-align: center;">MATADERO AVICOLA LOS LLANOS C.A<br>
	RIF: J-31074333-9<br>
	COMPROBANTE DE ROMANA<br></b>
	FECHA DE OPERACION: '.$fecha_registro.''.$control_id.'	
	--------------------------------------------------------------------<br>
	<b style="text-align: center;">DATOS DEL VEHICULO</b><br>
	PLACA: '.$ver_consultar_sql_ver_xx1['placa'].'<br>
	DESCRIPCION: '.$ver_consultar_sql_ver_xx1['descripcion_vehiculo'].'<br>
	--------------------------------------------------------------------<br>
	<b style="text-align: center;">DATOS DEL CHOFER</b><br>	
	CEDULA: '.$ver_consultar_sql_ver_xx1['cedula_chofer'].'<br>
	NOMBRE Y APELLIDO: '.$ver_consultar_sql_ver_xx1['nombre_chofer'].'<br>
	--------------------------------------------------------------------<br>
	<b style="text-align: center;">DATOS DE LA ROMANA</b><br>
	<b>ENTRADA</b><br>
	HORA DE ENTRADA: '.$ver_consulta_rubro_x1['hora_inicial'].'<br>	
	PESO DE ENTRADA: '.$ver_consulta_rubro_x1['peso_inicial'].' Klg. <br>
	<b>CARGA</b><br>
	PESO DE CARGA: '.number_format($ver_control['SUM(peso)'], 2, '.','').' Klg. <br>	
	<b>SALIDA</b><br>
	HORA DE SALIDA: '.$ver_consulta_rubro_x1['hora_final'].'<br>	
	PESO DE SALIDA: '.$ver_consulta_rubro_x1['peso_final'].' Klg. <br>	
	--------------------------------------------------------------------<br>
	<b style="text-align: center;">DETALLE DE CARGA</b><br>
		<table border="0" WIDTH="100%">
			<tr>
				<td><b>FACTURA</b></td>
				<td><b>PESO</b></td>
			</tr>
		</table>	
	';

	$detalle_orden_carga=mysql_query("select * from   tabla_vehiculos_peso_fact where eliminar='0' and cod_vehiculo_peso='$codgox'  ",$link);
	while($ver_detalle_orden_carga=mysql_fetch_array($detalle_orden_carga)){

	$i++;
	$html2[]='
	<table  border="0" WIDTH="100%">
	  <tr>
		<td>'.$ver_detalle_orden_carga['n_factura'].'</td>
		<td>'.number_format($ver_detalle_orden_carga['peso'], 2, '.','').'</td>
	  </tr> 
	</table>
	 '; 
}
$html3='
	<b>TOTAL DE PESO FACTURA:</b>'.number_format($ver_control['SUM(peso)'], 2, '.','').' Klg.
	<br>	
	<br>	
	<br>
	<b style="text-align: center;">------------------------</b><br>
	<b style="text-align: center;">AUTORIZADO POR</b><br>
	
	';
	
	
$pdf->SetFont('freesans', '', 7);
$pdf->writeHTML($html1, true, 0, true, true);
$pdf->Ln(1); 
for($x=0;$x<=$i;$x++){
	$pdf->writeHTML($html2[$x], true, 0, true, true);
	$pdf->Ln(1);
}
$pdf->writeHTML($html3, true, 0, true, true);
$pdf->Ln(1);
$pdf->Output('TICKT-ROMANA-'.$fecha_registro.'-'.$codgox.'.pdf', 'I');
?>